import { defineComponent, onMounted, PropType, ref, watch } from 'vue'
import { tools } from '@src/store/Modules/tools'

import { date, useQuasar } from 'quasar'
import { useI18n } from '@/boot/i18n'

export default defineComponent({
  name: 'CCurrencyValue',
  props: {
    label: {
      type: String,
      required: false,
      default: '',
    },
    tips: {
      type: String,
      required: false,
      default: '',
    },
    readonly: {
      type: Boolean,
      required: false,
      default: false,
    },
    symbol: {
      type: String,
      required: true,
    },
    color: {
      type: String,
      required: false,
      default: '',
    },
    color_border: {
      type: String,
      required: false,
      default: '',
    },
    icon: {
      type: String,
      required: false,
      default: '',
    },
    value: {
      type: Number,
      required: true,
    },
    valueextra: {
      type: String,
      required: false,
      default: '',
    },
  },
  components: {},
  setup(props, { emit }) {
    const $q = useQuasar()
    const { t } = useI18n()

    const showingtooltip = ref(false)

    function created() {
      // created
    }


    onMounted(created)

    return {
      showingtooltip,
      t,
      tools,
    }
  },
})
